MODULE asmpar
   !!======================================================================
   !!                       ***  MODULE asmpar  ***
   !! Assimilation increment : Parameters for assimilation interface
   !!======================================================================

   IMPLICIT NONE

   !! * Routine accessibility
   PRIVATE

   !! * Shared Modules variables
   CHARACTER (LEN=40), PUBLIC, PARAMETER :: &
      & c_asmbkg = 'assim_background_state_Jb',  & !: Filename for storing the 
                                                   !: background state for use 
                                                   !: in the Jb term
      & c_asmdin = 'assim_background_state_DI',  & !: Filename for storing the 
                                                   !: background state for direct 
                                                   !: initialization
      & c_asmtrj = 'assim_trj',                  & !: Filename for storing the 
                                                   !: reference trajectory
      & c_asminc = 'assim_background_increments'   !: Filename for storing the 
                                                   !: increments to the background
                                                   !: state

   INTEGER, PUBLIC :: &          
      & nitbkg_r,    &    !: Background time step referenced to nit000
      & nitdin_r,    &    !: Direct Initialization time step referenced to nit000
      & nitiaustr_r, &    !: IAU starting time step referenced to nit000
      & nitiaufin_r, &    !: IAU final time step referenced to nit000
      & nittrjfrq         !: Frequency of trajectory output for 4D-VAR

END MODULE asmpar
